public class ShowMessage {
private native void ShowMessage(String msg);
static { System.loadLibrary("MsgI"); }

public static void main(String[] args) {
ShowMessage app = new ShowMessage();
if(args.length==0)
  app.ShowMessage("Bu mesaj javadan C++ ya gönderildi ve orada yazıldı");
else
  app.ShowMessage(args[0]);
}
}

